<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>BorderFormatting (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BorderFormatting (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":38,"i2":6,"i3":38,"i4":6,"i5":38,"i6":6,"i7":38,"i8":6,"i9":38,"i10":6,"i11":38,"i12":6,"i13":38,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6,"i23":6,"i24":6,"i25":6,"i26":6,"i27":6,"i28":6,"i29":6,"i30":6,"i31":6,"i32":6,"i33":6,"i34":6,"i35":6,"i36":6,"i37":6,"i38":6,"i39":6,"i40":6,"i41":6,"i42":6,"i43":6,"i44":6,"i45":6,"i46":6,"i47":6,"i48":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/BorderFormatting.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/BorderExtent.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/BorderFormatting.html"
               target="_top">Frames</a></li>
        <li><a href="BorderFormatting.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel</div>
    <h2 title="Interface BorderFormatting" class="title">Interface BorderFormatting</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFBorderFormatting.html"
                           title="class in org.apache.poi.hssf.usermodel">HSSFBorderFormatting</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFBorderFormatting.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFBorderFormatting</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">BorderFormatting</span></pre>
                <div class="block">High level representation for Border Formatting component
                    of Conditional Formatting settings
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getBorderBottom--">getBorderBottom</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getBorderBottomEnum--">getBorderBottomEnum</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span
                                                class="deprecationComment">use <code>getBorderBottom</code> instead</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getBorderDiagonal--">getBorderDiagonal</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getBorderDiagonalEnum--">getBorderDiagonalEnum</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span
                                                class="deprecationComment">use <code>getBorderDiagonal</code> instead</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getBorderHorizontal--">getBorderHorizontal</a></span>()</code>
                                    <div class="block">Only valid for range borders, such as table styles</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getBorderHorizontalEnum--">getBorderHorizontalEnum</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use <code>getBorderHorizontal</code> instead</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getBorderLeft--">getBorderLeft</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getBorderLeftEnum--">getBorderLeftEnum</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span
                                                class="deprecationComment">use <code>getBorderLeft</code> instead</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getBorderRight--">getBorderRight</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getBorderRightEnum--">getBorderRightEnum</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span
                                                class="deprecationComment">use <code>getBorderRight</code> instead</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getBorderTop--">getBorderTop</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getBorderTopEnum--">getBorderTopEnum</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span
                                                class="deprecationComment">use <code>getBorderTop</code> instead</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getBorderVertical--">getBorderVertical</a></span>()</code>
                                    <div class="block">Only valid for range borders, such as table styles</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getBorderVerticalEnum--">getBorderVerticalEnum</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span
                                                class="deprecationComment">use <code>getBorderVertical</code> instead</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getBottomBorderColor--">getBottomBorderColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getBottomBorderColorColor--">getBottomBorderColorColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getDiagonalBorderColor--">getDiagonalBorderColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getDiagonalBorderColorColor--">getDiagonalBorderColorColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getHorizontalBorderColor--">getHorizontalBorderColor</a></span>()</code>
                                    <div class="block">Range internal borders.</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getHorizontalBorderColorColor--">getHorizontalBorderColorColor</a></span>()</code>
                                    <div class="block">Range internal borders.</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getLeftBorderColor--">getLeftBorderColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getLeftBorderColorColor--">getLeftBorderColorColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getRightBorderColor--">getRightBorderColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getRightBorderColorColor--">getRightBorderColorColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getTopBorderColor--">getTopBorderColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getTopBorderColorColor--">getTopBorderColorColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getVerticalBorderColor--">getVerticalBorderColor</a></span>()</code>
                                    <div class="block">Range internal borders.</div>
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getVerticalBorderColorColor--">getVerticalBorderColorColor</a></span>()</code>
                                    <div class="block">Range internal borders.</div>
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setBorderBottom-org.apache.poi.ss.usermodel.BorderStyle-">setBorderBottom</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border)</code>
                                    <div class="block">Set bottom border.</div>
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setBorderDiagonal-org.apache.poi.ss.usermodel.BorderStyle-">setBorderDiagonal</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border)</code>
                                    <div class="block">Set diagonal border.</div>
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setBorderHorizontal-org.apache.poi.ss.usermodel.BorderStyle-">setBorderHorizontal</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border)</code>
                                    <div class="block">Set range internal horizontal borders.</div>
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setBorderLeft-org.apache.poi.ss.usermodel.BorderStyle-">setBorderLeft</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border)</code>
                                    <div class="block">Set left border.</div>
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setBorderRight-org.apache.poi.ss.usermodel.BorderStyle-">setBorderRight</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border)</code>
                                    <div class="block">Set right border.</div>
                                </td>
                            </tr>
                            <tr id="i33" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setBorderTop-org.apache.poi.ss.usermodel.BorderStyle-">setBorderTop</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border)</code>
                                    <div class="block">Set top border.</div>
                                </td>
                            </tr>
                            <tr id="i34" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setBorderVertical-org.apache.poi.ss.usermodel.BorderStyle-">setBorderVertical</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border)</code>
                                    <div class="block">Set range internal vertical borders.</div>
                                </td>
                            </tr>
                            <tr id="i35" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setBottomBorderColor-org.apache.poi.ss.usermodel.Color-">setBottomBorderColor</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i36" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setBottomBorderColor-short-">setBottomBorderColor</a></span>(short&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i37" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setDiagonalBorderColor-org.apache.poi.ss.usermodel.Color-">setDiagonalBorderColor</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i38" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setDiagonalBorderColor-short-">setDiagonalBorderColor</a></span>(short&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i39" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setHorizontalBorderColor-org.apache.poi.ss.usermodel.Color-">setHorizontalBorderColor</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>
                                    <div class="block">Range internal border color, such as table styles</div>
                                </td>
                            </tr>
                            <tr id="i40" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setHorizontalBorderColor-short-">setHorizontalBorderColor</a></span>(short&nbsp;color)</code>
                                    <div class="block">Range internal border color, such as table styles</div>
                                </td>
                            </tr>
                            <tr id="i41" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setLeftBorderColor-org.apache.poi.ss.usermodel.Color-">setLeftBorderColor</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i42" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setLeftBorderColor-short-">setLeftBorderColor</a></span>(short&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i43" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setRightBorderColor-org.apache.poi.ss.usermodel.Color-">setRightBorderColor</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i44" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setRightBorderColor-short-">setRightBorderColor</a></span>(short&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i45" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setTopBorderColor-org.apache.poi.ss.usermodel.Color-">setTopBorderColor</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i46" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setTopBorderColor-short-">setTopBorderColor</a></span>(short&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i47" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setVerticalBorderColor-org.apache.poi.ss.usermodel.Color-">setVerticalBorderColor</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>
                                    <div class="block">Range internal border color, such as table styles</div>
                                </td>
                            </tr>
                            <tr id="i48" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setVerticalBorderColor-short-">setVerticalBorderColor</a></span>(short&nbsp;color)</code>
                                    <div class="block">Range internal border color, such as table styles</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getBorderBottom--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBorderBottom</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;getBorderBottom()</pre>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBorderDiagonal--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBorderDiagonal</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;getBorderDiagonal()</pre>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBorderLeft--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBorderLeft</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;getBorderLeft()</pre>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBorderRight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBorderRight</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;getBorderRight()</pre>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBorderTop--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBorderTop</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;getBorderTop()</pre>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBorderVertical--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBorderVertical</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;getBorderVertical()</pre>
                                <div class="block">Only valid for range borders, such as table styles</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>border style</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBorderHorizontal--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBorderHorizontal</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;getBorderHorizontal()</pre>
                                <div class="block">Only valid for range borders, such as table styles</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>border style</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBorderBottomEnum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBorderBottomEnum</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Removal.html"
                                        title="annotation in org.apache.poi.util">@Removal</a>(<a
                                        href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
 @Deprecated
<a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html" title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;getBorderBottomEnum()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use <code>getBorderBottom</code> instead</span></div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBorderDiagonalEnum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBorderDiagonalEnum</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Removal.html"
                                        title="annotation in org.apache.poi.util">@Removal</a>(<a
                                        href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
 @Deprecated
<a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html" title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;getBorderDiagonalEnum()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use <code>getBorderDiagonal</code> instead</span>
                                </div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBorderLeftEnum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBorderLeftEnum</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Removal.html"
                                        title="annotation in org.apache.poi.util">@Removal</a>(<a
                                        href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
 @Deprecated
<a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html" title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;getBorderLeftEnum()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use <code>getBorderLeft</code> instead</span></div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBorderRightEnum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBorderRightEnum</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Removal.html"
                                        title="annotation in org.apache.poi.util">@Removal</a>(<a
                                        href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
 @Deprecated
<a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html" title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;getBorderRightEnum()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use <code>getBorderRight</code> instead</span></div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBorderTopEnum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBorderTopEnum</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Removal.html"
                                        title="annotation in org.apache.poi.util">@Removal</a>(<a
                                        href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
 @Deprecated
<a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html" title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;getBorderTopEnum()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use <code>getBorderTop</code> instead</span></div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBorderVerticalEnum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBorderVerticalEnum</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Removal.html"
                                        title="annotation in org.apache.poi.util">@Removal</a>(<a
                                        href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
 @Deprecated
<a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html" title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;getBorderVerticalEnum()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use <code>getBorderVertical</code> instead</span>
                                </div>
                                <div class="block">Only valid for range borders, such as table styles</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>border style</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.17 beta 1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBorderHorizontalEnum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBorderHorizontalEnum</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Removal.html"
                                        title="annotation in org.apache.poi.util">@Removal</a>(<a
                                        href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
 @Deprecated
<a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html" title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;getBorderHorizontalEnum()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use <code>getBorderHorizontal</code> instead</span>
                                </div>
                                <div class="block">Only valid for range borders, such as table styles</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>border style</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.17 beta 1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBottomBorderColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBottomBorderColor</h4>
                                <pre>short&nbsp;getBottomBorderColor()</pre>
                            </li>
                        </ul>
                        <a name="getBottomBorderColorColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBottomBorderColorColor</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;getBottomBorderColorColor()</pre>
                            </li>
                        </ul>
                        <a name="getDiagonalBorderColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDiagonalBorderColor</h4>
                                <pre>short&nbsp;getDiagonalBorderColor()</pre>
                            </li>
                        </ul>
                        <a name="getDiagonalBorderColorColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDiagonalBorderColorColor</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;getDiagonalBorderColorColor()</pre>
                            </li>
                        </ul>
                        <a name="getLeftBorderColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLeftBorderColor</h4>
                                <pre>short&nbsp;getLeftBorderColor()</pre>
                            </li>
                        </ul>
                        <a name="getLeftBorderColorColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLeftBorderColorColor</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;getLeftBorderColorColor()</pre>
                            </li>
                        </ul>
                        <a name="getRightBorderColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRightBorderColor</h4>
                                <pre>short&nbsp;getRightBorderColor()</pre>
                            </li>
                        </ul>
                        <a name="getRightBorderColorColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRightBorderColorColor</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;getRightBorderColorColor()</pre>
                            </li>
                        </ul>
                        <a name="getTopBorderColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTopBorderColor</h4>
                                <pre>short&nbsp;getTopBorderColor()</pre>
                            </li>
                        </ul>
                        <a name="getTopBorderColorColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTopBorderColorColor</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;getTopBorderColorColor()</pre>
                            </li>
                        </ul>
                        <a name="getVerticalBorderColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getVerticalBorderColor</h4>
                                <pre>short&nbsp;getVerticalBorderColor()</pre>
                                <div class="block">Range internal borders. Only relevant for range styles, such as table
                                    formatting
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>color index</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.17 beta 1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getVerticalBorderColorColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getVerticalBorderColorColor</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;getVerticalBorderColorColor()</pre>
                                <div class="block">Range internal borders. Only relevant for range styles, such as table
                                    formatting
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>color</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.17 beta 1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHorizontalBorderColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHorizontalBorderColor</h4>
                                <pre>short&nbsp;getHorizontalBorderColor()</pre>
                                <div class="block">Range internal borders. Only relevant for range styles, such as table
                                    formatting
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>color index</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.17 beta 1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHorizontalBorderColorColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHorizontalBorderColorColor</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;getHorizontalBorderColorColor()</pre>
                                <div class="block">Range internal borders. Only relevant for range styles, such as table
                                    formatting
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>color</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.17 beta 1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBorderBottom-org.apache.poi.ss.usermodel.BorderStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBorderBottom</h4>
                                <pre>void&nbsp;setBorderBottom(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border)</pre>
                                <div class="block">Set bottom border.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>border</code> - The style of border to set.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBorderDiagonal-org.apache.poi.ss.usermodel.BorderStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBorderDiagonal</h4>
                                <pre>void&nbsp;setBorderDiagonal(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border)</pre>
                                <div class="block">Set diagonal border.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>border</code> - The style of border to set.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBorderLeft-org.apache.poi.ss.usermodel.BorderStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBorderLeft</h4>
                                <pre>void&nbsp;setBorderLeft(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border)</pre>
                                <div class="block">Set left border.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>border</code> - The style of border to set.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBorderRight-org.apache.poi.ss.usermodel.BorderStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBorderRight</h4>
                                <pre>void&nbsp;setBorderRight(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border)</pre>
                                <div class="block">Set right border.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>border</code> - The style of border to set.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBorderTop-org.apache.poi.ss.usermodel.BorderStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBorderTop</h4>
                                <pre>void&nbsp;setBorderTop(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border)</pre>
                                <div class="block">Set top border.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>border</code> - The style of border to set.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBorderHorizontal-org.apache.poi.ss.usermodel.BorderStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBorderHorizontal</h4>
                                <pre>void&nbsp;setBorderHorizontal(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border)</pre>
                                <div class="block">Set range internal horizontal borders.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>border</code> - The style of border to set.</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.17 beta 1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBorderVertical-org.apache.poi.ss.usermodel.BorderStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBorderVertical</h4>
                                <pre>void&nbsp;setBorderVertical(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;border)</pre>
                                <div class="block">Set range internal vertical borders.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>border</code> - The style of border to set.</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.17 beta 1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBottomBorderColor-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBottomBorderColor</h4>
                                <pre>void&nbsp;setBottomBorderColor(short&nbsp;color)</pre>
                            </li>
                        </ul>
                        <a name="setBottomBorderColor-org.apache.poi.ss.usermodel.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBottomBorderColor</h4>
                                <pre>void&nbsp;setBottomBorderColor(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</pre>
                            </li>
                        </ul>
                        <a name="setDiagonalBorderColor-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDiagonalBorderColor</h4>
                                <pre>void&nbsp;setDiagonalBorderColor(short&nbsp;color)</pre>
                            </li>
                        </ul>
                        <a name="setDiagonalBorderColor-org.apache.poi.ss.usermodel.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDiagonalBorderColor</h4>
                                <pre>void&nbsp;setDiagonalBorderColor(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</pre>
                            </li>
                        </ul>
                        <a name="setLeftBorderColor-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLeftBorderColor</h4>
                                <pre>void&nbsp;setLeftBorderColor(short&nbsp;color)</pre>
                            </li>
                        </ul>
                        <a name="setLeftBorderColor-org.apache.poi.ss.usermodel.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLeftBorderColor</h4>
                                <pre>void&nbsp;setLeftBorderColor(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</pre>
                            </li>
                        </ul>
                        <a name="setRightBorderColor-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRightBorderColor</h4>
                                <pre>void&nbsp;setRightBorderColor(short&nbsp;color)</pre>
                            </li>
                        </ul>
                        <a name="setRightBorderColor-org.apache.poi.ss.usermodel.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRightBorderColor</h4>
                                <pre>void&nbsp;setRightBorderColor(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</pre>
                            </li>
                        </ul>
                        <a name="setTopBorderColor-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTopBorderColor</h4>
                                <pre>void&nbsp;setTopBorderColor(short&nbsp;color)</pre>
                            </li>
                        </ul>
                        <a name="setTopBorderColor-org.apache.poi.ss.usermodel.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTopBorderColor</h4>
                                <pre>void&nbsp;setTopBorderColor(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</pre>
                            </li>
                        </ul>
                        <a name="setHorizontalBorderColor-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHorizontalBorderColor</h4>
                                <pre>void&nbsp;setHorizontalBorderColor(short&nbsp;color)</pre>
                                <div class="block">Range internal border color, such as table styles</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - index</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.17 beta 1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHorizontalBorderColor-org.apache.poi.ss.usermodel.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHorizontalBorderColor</h4>
                                <pre>void&nbsp;setHorizontalBorderColor(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</pre>
                                <div class="block">Range internal border color, such as table styles</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - index</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.17 beta 1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setVerticalBorderColor-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setVerticalBorderColor</h4>
                                <pre>void&nbsp;setVerticalBorderColor(short&nbsp;color)</pre>
                                <div class="block">Range internal border color, such as table styles</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - index</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.17 beta 1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setVerticalBorderColor-org.apache.poi.ss.usermodel.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setVerticalBorderColor</h4>
                                <pre>void&nbsp;setVerticalBorderColor(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</pre>
                                <div class="block">Range internal border color, such as table styles</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - index</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.17 beta 1</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/BorderFormatting.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/BorderExtent.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/BorderFormatting.html"
               target="_top">Frames</a></li>
        <li><a href="BorderFormatting.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
